package com.steering.pss.sale.order.bomGeneration.model;
/**
 * 质量设计-BOM-备料
 * @author Administrator
 *
 */
public class DesignBomBlEntity {
	/**
	 * BOM
	 */
	private String bom;
	/**
	 * 备料BOM
	 */
	private String bomBl;
	/**
	 * 备料类型(B接箍备料;C短节备料)
	 */
	private String blTyp;
	/**
	 * 备料物料编码
	 */
	private String blMaterialNo;
	/**
	 * 备料物料描述
	 */
	private String blMaterialDesc;

	public DesignBomBlEntity() {
		bom = "";
		bomBl = "";
		blTyp = "";
		blMaterialNo = "";
		blMaterialDesc = "";
	}

	/**
	 * BOM
	 * 
	 * @return value
	 */
	public String getBom() {
		return bom;
	}

	/**
	 * BOM
	 * 
	 * @param bom
	 *            value
	 */
	public void setBom(String bom) {
		this.bom = bom;
	}

	/**
	 * 备料BOM
	 * 
	 * @return value
	 */
	public String getBomBl() {
		return bomBl;
	}

	/**
	 * 备料BOM
	 * 
	 * @param bomBl
	 *            value
	 */
	public void setBomBl(String bomBl) {
		this.bomBl = bomBl;
	}

	/**
	 * 备料类型(B接箍备料;C短节备料)
	 * 
	 * @return value
	 */
	public String getBlTyp() {
		return blTyp;
	}

	/**
	 * 备料类型(B接箍备料;C短节备料)
	 * 
	 * @param blTyp
	 *            value
	 */
	public void setBlTyp(String blTyp) {
		this.blTyp = blTyp;
	}

	/**
	 * 备料物料编码
	 * 
	 * @return value
	 */
	public String getBlMaterialNo() {
		return blMaterialNo;
	}

	/**
	 * 备料物料编码
	 * 
	 * @param blMaterialNo
	 *            value
	 */
	public void setBlMaterialNo(String blMaterialNo) {
		this.blMaterialNo = blMaterialNo;
	}

	/**
	 * 备料物料描述
	 * 
	 * @return value
	 */
	public String getBlMaterialDesc() {
		return blMaterialDesc;
	}

	/**
	 * 备料物料描述
	 * 
	 * @param blMaterialDesc
	 *            value
	 */
	public void setBlMaterialDesc(String blMaterialDesc) {
		this.blMaterialDesc = blMaterialDesc;
	}
}
